cancel
Showing results for 
Search instead for 
Did you mean: 

System Upgrade: conflicting component dependencies

SOLVED
Highlighted

Re: System Upgrade: conflicting component dependencies

Hello @Donovan,

 

You may see "require-dev" tag in composer.json file.

Run composer install or update with --no-dev flag. This will not install developer dependency packages.

composer install --no-dev

OR

composer update --no-dev

--
If my answer is useful, please Accept as Solution & give Kudos

Highlighted

Re: System Upgrade: conflicting component dependencies

My issue was solved by increasing memory allocation in .htaccess file

Highlighted

Re: System Upgrade: conflicting component dependencies

THANK YOU.

Also, why is this even a thing?? That's so confusing and is NOT detected by the readiness checker.

Highlighted

Re: System Upgrade: conflicting component dependencies

Think I had an old install of magento.

 

Running the above composer install commands worked a treat!

Highlighted

Re: System Upgrade: conflicting component dependencies

For me I have to increase the memory in .htaccess & user.ini as well as the php.ini

 

Highlighted

Re: System Upgrade: conflicting component dependencies

when it comes to dependencies the best way to solve this is by using a very very simple command that is very familiar with all of us wich is vi nano or grep or whatever the solutions is simple:
1.- go to youre magento root folder

2.- sudo nano composer.json or sudo vi composer.json or sudo grep composer.json the option will relay in the text editor you picked 

3.- scroll down until you find this particular text 

 

"conflict":

4.- uninstall that dependency as it may be no longer needed so the procedure will be ... write down the "conflictive dependency

5.- composer remove "dependency here" 

6.- readiness proof

 

conflict.PNG